## net.sf.statcvs.reportmodel
Class TimePoint

    java.lang.Object
      net.sf.statcvs.reportmodel.TimePoint

    public class TimePoint

extends java.lang.Object

Encapsulates a data point in a `TimeLine`

Version:
  $Id: TimePoint.java,v 1.2 2008/04/02 11:22:14 benoitx Exp $
Author:
  Richard Cyganiak <rcyg@gmx.de>

Constructor Summary
`TimePoint(java.util.Date date, int value, int delta)` Creates a new TimePoint

Method Summary
`java.util.Date` `getDate()`
`int` `getDelta()`
`int` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimePoint

    public TimePoint(java.util.Date date,
                     int value,
                     int delta)

  Creates a new TimePoint

  Parameters:
    `date` - the time point's date
    `value` - the time point's value
    `delta` - the time point's change relative to the previous value

Method Detail

### getDate

    public java.util.Date getDate()

  Returns:
    the time point's date

### getDelta

    public int getDelta()

  Returns:
    the time point's change relative to the previous value

### getValue

    public int getValue()

  Returns:
    the time point's value